%global namedreltag .SP1
%global namedversion %{version}%{?namedreltag}
Name:          jboss-reflect
Version:       2.2.1
Release:       %mkrel 1
Summary:       JBoss Reflection
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.com/products/jbossmc/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/jboss-reflect/tags/2.2.1.SP1/ jboss-reflect-2.2.1.SP1
# tar czf jboss-reflect-2.2.1.SP1-src-svn.tar.gz jboss-reflect-2.2.1.SP1
Source0:       jboss-reflect-%{namedversion}-src-svn.tar.gz

Patch0:        jboss-reflect-2.2.1.SP1-no-test-deps.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

BuildRequires: javassist
BuildRequires: jboss-classpool
BuildRequires: jboss-common-core
BuildRequires: jboss-logging-spi

# FIXME  for testing
# org.jboss.test jboss-test 1.1.1.GA
# jboss.profiler.jvmti jboss-profiler-jvmti 1.0.0.CR5
# BuildRequires:  junit4
BuildRequires: maven
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-surefire-plugin

Requires:      javassist
Requires:      jboss-classpool
Requires:      jboss-common-core
Requires:      jboss-logging-spi

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch

%description
The JBoss Microcontainer is a refactoring of JBoss's JMX Microkernel to support direct POJO deployment and
standalone use outside the JBoss application server.

This package provides JBoss Reflection.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n jboss-reflect-%{namedversion}
%patch0 -p0

%build
# test disabled unavailable deps
mvn-rpmbuild -Dmaven.test.skip=true install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/jboss
rm -rf target/%{name}*-sources.jar
install -pm 644 target/%{name}*.jar %{buildroot}%{_javadir}/jboss/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.jboss-%{name}.pom
%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -r target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/jboss/%{name}.jar
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Fri Feb 03 2012 gil <gil> 2.2.1-1.mga2
+ Revision: 204290
- update to 2.2.1.SP1

* Sat Jan 21 2012 gil <gil> 2.0.3-1.mga2
+ Revision: 199120
- imported package jboss-reflect

